slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetNumMatrices

Returns the number of matrices stored in the PEP.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetNumMatrices(PEP pep,PetscInt *nmat)

Not Collective

### Input Parameter

| pep | - the PEP context

### Output Parameters

| nmat | - the number of matrices passed in PEPSetOperators()

### See Also

PEPSetOperators()

### Level

intermediate

### Location

src/pep/interface/pepsetup.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages